package com.logicbig.example;

import org.springframework.context.support.ResourceBundleMessageSource;
import org.springframework.validation.DataBinder;
import java.math.BigDecimal;
import java.util.Locale;

public class ValidatorExample {

    public static void main(String[] args) {
        Order order = new Order();
        order.setPrice(BigDecimal.ZERO);

        DataBinder dataBinder = new DataBinder(order);
        dataBinder.addValidators(new OrderValidator());
        dataBinder.validate();

        if (dataBinder.getBindingResult().hasErrors()) {
            ResourceBundleMessageSource messageSource = new ResourceBundleMessageSource();
            messageSource.setBasename("ValidationMessages");

            System.err.println(messageSource.getMessage("order.invalid", null, Locale.US));
            dataBinder.getBindingResult().getAllErrors().stream()
                      .forEach(e -> System.err.println(messageSource.getMessage(e, Locale.US)));
        } else {
            System.out.println("No Validation errors");
        }
    }
}